Bug 103772 - New Port: sysutils/dvdisaster, a CD/DVD error recovery tool
Summary: New Port: sysutils/dvdisaster, a CD/DVD error recovery tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-28 21:30 UTC by Heiner
Modified: 2006-09-30 09:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2006-09-28 21:30:19 UTC
The dvdisaster project:
dvdisaster provides a margin of safety against data loss on CD and DVD media 
caused by aging or scratches.

    * dvdisaster creates error correction data to compensate read errors which 
      are not correctable in the CD/DVD drive.

    * dvdisaster tries to read as much data as possible from defective media. 
      Afterwards unreadable sectors are recovered using the previously created 
      error correction data. The maximum error correction capacity is 
      user-selectable.

    * dvdisaster operates at the image level and does not depend on the file 
      system.

If you create the error correction data in time and keep it at a safe place, 
you have a good chance of recovering the medium contents from typical read 
errors and to transfer your complete data onto a new medium.

WWW: http://www.dvdisaster.com/

Fix: --Boundary-00=_OCDHFsIjZOW4+ZX
Content-Type: text/plain;
  charset="iso-8859-1";
  name="dvdisaster.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="dvdisaster.shar"



--Boundary-00=_OCDHFsIjZOW4+ZX----1B5gaEimOwvYZLqPLBUKAkO46EWKSOFZkdWa2nNfJP2nYKIZ
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dvdisaster
#	dvdisaster/Makefile
#	dvdisaster/distinfo
#	dvdisaster/pkg-descr
#	dvdisaster/pkg-plist
#
echo c - dvdisaster
mkdir -p dvdisaster > /dev/null 2>&1
echo x - dvdisaster/Makefile
sed 's/^X//' >dvdisaster/Makefile << 'END-of-dvdisaster/Makefile'
X# New ports collection makefile for:    dvdisaster
X# Date created:                         2006/08/13
X# Whom:                                 Heiner <h.eichmann@gmx.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dvdisaster
XPORTVERSION=	0.70.1
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=dvdisaster
X
XMAINTAINER=	h.eichmann@gmx.de
XCOMMENT=	A CD/DVD error recovery tool
X
XBUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash
X
XWRKSRC=${WRKDIR}/dvdisaster-0.70
XMAKEFILE=GNUmakefile
X
XUSE_BZIP2=	yes
XUSE_GETTEXT=	yes
XUSE_GNOME=	gtk20
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS+=--prefix=${PREFIX}
XUSE_GMAKE=	yes
X#INSTALLS_SHLIB=	yes
X
XMAN1=	dvdisaster.1
XMANLANG=	"" cs de it
X
Xdo-configure:
X	@(cd ${CONFIGURE_WRKSRC} && \
X		if ! ${SETENV} CC="${CC}" CXX="${CXX}" \
X	    CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
X	    INSTALL="/usr/bin/install -c ${_BINOWNGRP}" \
X	    INSTALL_DATA="${INSTALL_DATA}" \
X	    INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
X	    INSTALL_SCRIPT="${INSTALL_SCRIPT}" \
X	    ${CONFIGURE_ENV} bash configure ${CONFIGURE_ARGS}; then \
X			 ${ECHO_CMD} "===>  Script \"${CONFIGURE_SCRIPT}\" failed unexpectedly."; \
X			 (${ECHO_CMD} ${CONFIGURE_FAIL_MESSAGE}) | ${FMT} 75 79 ; \
X			 ${FALSE}; \
X		fi)
X
X.include <bsd.port.mk>
END-of-dvdisaster/Makefile
echo x - dvdisaster/distinfo
sed 's/^X//' >dvdisaster/distinfo << 'END-of-dvdisaster/distinfo'
XMD5 (dvdisaster-0.70.1.tar.bz2) = 350b76ccaf2c8f08dcd26643ec359614
XSHA256 (dvdisaster-0.70.1.tar.bz2) = eaa963cd0ac8627129ae5a48eae68386e2d4bf9dc8317857461674a644d532bf
XSIZE (dvdisaster-0.70.1.tar.bz2) = 1146683
END-of-dvdisaster/distinfo
echo x - dvdisaster/pkg-descr
sed 's/^X//' >dvdisaster/pkg-descr << 'END-of-dvdisaster/pkg-descr'
XThe dvdisaster project:
Xdvdisaster provides a margin of safety against data loss on CD and DVD media 
Xcaused by aging or scratches.
X
X    * dvdisaster creates error correction data to compensate read errors which 
X      are not correctable in the CD/DVD drive.
X
X    * dvdisaster tries to read as much data as possible from defective media. 
X      Afterwards unreadable sectors are recovered using the previously created 
X      error correction data. The maximum error correction capacity is 
X      user-selectable.
X
X    * dvdisaster operates at the image level and does not depend on the file 
X      system.
X
XIf you create the error correction data in time and keep it at a safe place, 
Xyou have a good chance of recovering the medium contents from typical read 
Xerrors and to transfer your complete data onto a new medium.
X
XWWW: http://www.dvdisaster.com/
END-of-dvdisaster/pkg-descr
echo x - dvdisaster/pkg-plist
sed 's/^X//' >dvdisaster/pkg-plist << 'END-of-dvdisaster/pkg-plist'
Xbin/dvdisaster
Xbin/dvdisaster-uninstall.sh
Xdoc/dvdisaster-0.70/CHANGELOG
Xdoc/dvdisaster-0.70/COPYING
Xdoc/dvdisaster-0.70/CREDITS.cs
Xdoc/dvdisaster-0.70/CREDITS.de
Xdoc/dvdisaster-0.70/CREDITS.en
Xdoc/dvdisaster-0.70/README.MODIFYING
Xdoc/dvdisaster-0.70/TODO
Xdoc/dvdisaster-0.70/cs/background.html
Xdoc/dvdisaster-0.70/cs/background10.html
Xdoc/dvdisaster-0.70/cs/background20.html
Xdoc/dvdisaster-0.70/cs/background30.html
Xdoc/dvdisaster-0.70/cs/background40.html
Xdoc/dvdisaster-0.70/cs/background50.html
Xdoc/dvdisaster-0.70/cs/background60.html
Xdoc/dvdisaster-0.70/cs/background70.html
Xdoc/dvdisaster-0.70/cs/download.html
Xdoc/dvdisaster-0.70/cs/download10.html
Xdoc/dvdisaster-0.70/cs/download20.html
Xdoc/dvdisaster-0.70/cs/example.html
Xdoc/dvdisaster-0.70/cs/example1.html
Xdoc/dvdisaster-0.70/cs/example10.html
Xdoc/dvdisaster-0.70/cs/example2.html
Xdoc/dvdisaster-0.70/cs/example20.html
Xdoc/dvdisaster-0.70/cs/example21.html
Xdoc/dvdisaster-0.70/cs/example22.html
Xdoc/dvdisaster-0.70/cs/example3.html
Xdoc/dvdisaster-0.70/cs/example30.html
Xdoc/dvdisaster-0.70/cs/example4.html
Xdoc/dvdisaster-0.70/cs/example40.html
Xdoc/dvdisaster-0.70/cs/example5.html
Xdoc/dvdisaster-0.70/cs/example50.html
Xdoc/dvdisaster-0.70/cs/example6.html
Xdoc/dvdisaster-0.70/cs/example80.html
Xdoc/dvdisaster-0.70/cs/example81.html
Xdoc/dvdisaster-0.70/cs/example82.html
Xdoc/dvdisaster-0.70/cs/example83.html
Xdoc/dvdisaster-0.70/cs/example90.html
Xdoc/dvdisaster-0.70/cs/images/bg-adaptive.png
Xdoc/dvdisaster-0.70/cs/images/bg-linear.png
Xdoc/dvdisaster-0.70/cs/images/btn-compare.png
Xdoc/dvdisaster-0.70/cs/images/btn-create.png
Xdoc/dvdisaster-0.70/cs/images/btn-drive.png
Xdoc/dvdisaster-0.70/cs/images/btn-eccfile.png
Xdoc/dvdisaster-0.70/cs/images/btn-fix.png
Xdoc/dvdisaster-0.70/cs/images/btn-image.png
Xdoc/dvdisaster-0.70/cs/images/btn-protocol.png
Xdoc/dvdisaster-0.70/cs/images/btn-read.png
Xdoc/dvdisaster-0.70/cs/images/btn-scan.png
Xdoc/dvdisaster-0.70/cs/images/ex-compare.png
Xdoc/dvdisaster-0.70/cs/images/ex-create.png
Xdoc/dvdisaster-0.70/cs/images/ex-fix.png
Xdoc/dvdisaster-0.70/cs/images/ex-read-a.png
Xdoc/dvdisaster-0.70/cs/images/ex-read.png
Xdoc/dvdisaster-0.70/cs/images/ex-scan.png
Xdoc/dvdisaster-0.70/cs/images/prefs-ecc-1.png
Xdoc/dvdisaster-0.70/cs/images/prefs-ecc-2.png
Xdoc/dvdisaster-0.70/cs/images/prefs-ecc.png
Xdoc/dvdisaster-0.70/cs/images/prefs-general-1.png
Xdoc/dvdisaster-0.70/cs/images/prefs-general-2.png
Xdoc/dvdisaster-0.70/cs/images/prefs-general-3.png
Xdoc/dvdisaster-0.70/cs/images/prefs-general.png
Xdoc/dvdisaster-0.70/cs/images/prefs-read-1.png
Xdoc/dvdisaster-0.70/cs/images/prefs-read-2.png
Xdoc/dvdisaster-0.70/cs/images/prefs-read-3.png
Xdoc/dvdisaster-0.70/cs/images/prefs-read.png
Xdoc/dvdisaster-0.70/cs/images/scratch-corr.png
Xdoc/dvdisaster-0.70/cs/images/scratch-scan.png
Xdoc/dvdisaster-0.70/cs/index.html
Xdoc/dvdisaster-0.70/cs/index10.html
Xdoc/dvdisaster-0.70/cs/index20.html
Xdoc/dvdisaster-0.70/cs/index30.html
Xdoc/dvdisaster-0.70/cs/inline1.html
Xdoc/dvdisaster-0.70/cs/inline2.html
Xdoc/dvdisaster-0.70/cs/qa.html
Xdoc/dvdisaster-0.70/cs/qa10.html
Xdoc/dvdisaster-0.70/cs/qa20.html
Xdoc/dvdisaster-0.70/de/background.html
Xdoc/dvdisaster-0.70/de/background10.html
Xdoc/dvdisaster-0.70/de/background20.html
Xdoc/dvdisaster-0.70/de/background30.html
Xdoc/dvdisaster-0.70/de/background40.html
Xdoc/dvdisaster-0.70/de/background50.html
Xdoc/dvdisaster-0.70/de/background60.html
Xdoc/dvdisaster-0.70/de/background70.html
Xdoc/dvdisaster-0.70/de/download.html
Xdoc/dvdisaster-0.70/de/download10.html
Xdoc/dvdisaster-0.70/de/download20.html
Xdoc/dvdisaster-0.70/de/example.html
Xdoc/dvdisaster-0.70/de/example1.html
Xdoc/dvdisaster-0.70/de/example10.html
Xdoc/dvdisaster-0.70/de/example2.html
Xdoc/dvdisaster-0.70/de/example20.html
Xdoc/dvdisaster-0.70/de/example21.html
Xdoc/dvdisaster-0.70/de/example22.html
Xdoc/dvdisaster-0.70/de/example3.html
Xdoc/dvdisaster-0.70/de/example30.html
Xdoc/dvdisaster-0.70/de/example4.html
Xdoc/dvdisaster-0.70/de/example40.html
Xdoc/dvdisaster-0.70/de/example5.html
Xdoc/dvdisaster-0.70/de/example50.html
Xdoc/dvdisaster-0.70/de/example6.html
Xdoc/dvdisaster-0.70/de/example7.html
Xdoc/dvdisaster-0.70/de/example80.html
Xdoc/dvdisaster-0.70/de/example81.html
Xdoc/dvdisaster-0.70/de/example82.html
Xdoc/dvdisaster-0.70/de/example83.html
Xdoc/dvdisaster-0.70/de/example84.html
Xdoc/dvdisaster-0.70/de/example90.html
Xdoc/dvdisaster-0.70/de/images/bg-adaptive.png
Xdoc/dvdisaster-0.70/de/images/bg-linear.png
Xdoc/dvdisaster-0.70/de/images/btn-compare.png
Xdoc/dvdisaster-0.70/de/images/btn-create.png
Xdoc/dvdisaster-0.70/de/images/btn-fix.png
Xdoc/dvdisaster-0.70/de/images/btn-new-image.png
Xdoc/dvdisaster-0.70/de/images/btn-protocol.png
Xdoc/dvdisaster-0.70/de/images/btn-read.png
Xdoc/dvdisaster-0.70/de/images/btn-scan.png
Xdoc/dvdisaster-0.70/de/images/ex-compare-rs02.png
Xdoc/dvdisaster-0.70/de/images/ex-compare.png
Xdoc/dvdisaster-0.70/de/images/ex-create-rs02.png
Xdoc/dvdisaster-0.70/de/images/ex-create.png
Xdoc/dvdisaster-0.70/de/images/ex-fix.png
Xdoc/dvdisaster-0.70/de/images/ex-read-a.png
Xdoc/dvdisaster-0.70/de/images/ex-read.png
Xdoc/dvdisaster-0.70/de/images/ex-scan.png
Xdoc/dvdisaster-0.70/de/images/prefs-ecc-0.png
Xdoc/dvdisaster-0.70/de/images/prefs-ecc-1.png
Xdoc/dvdisaster-0.70/de/images/prefs-ecc-2.png
Xdoc/dvdisaster-0.70/de/images/prefs-ecc.png
Xdoc/dvdisaster-0.70/de/images/prefs-general-1.png
Xdoc/dvdisaster-0.70/de/images/prefs-general-2.png
Xdoc/dvdisaster-0.70/de/images/prefs-general-3.png
Xdoc/dvdisaster-0.70/de/images/prefs-general.png
Xdoc/dvdisaster-0.70/de/images/prefs-read-1.png
Xdoc/dvdisaster-0.70/de/images/prefs-read-2.png
Xdoc/dvdisaster-0.70/de/images/prefs-read-3.png
Xdoc/dvdisaster-0.70/de/images/prefs-read.png
Xdoc/dvdisaster-0.70/de/images/prefs-rs02-0.png
Xdoc/dvdisaster-0.70/de/images/prefs-rs02-1.png
Xdoc/dvdisaster-0.70/de/images/prefs-rs02.png
Xdoc/dvdisaster-0.70/de/images/scratch-corr.png
Xdoc/dvdisaster-0.70/de/images/scratch-scan.png
Xdoc/dvdisaster-0.70/de/index.html
Xdoc/dvdisaster-0.70/de/index10.html
Xdoc/dvdisaster-0.70/de/index20.html
Xdoc/dvdisaster-0.70/de/index30.html
Xdoc/dvdisaster-0.70/de/inline1.html
Xdoc/dvdisaster-0.70/de/inline2.html
Xdoc/dvdisaster-0.70/de/qa.html
Xdoc/dvdisaster-0.70/de/qa10.html
Xdoc/dvdisaster-0.70/de/qa20.html
Xdoc/dvdisaster-0.70/en/background.html
Xdoc/dvdisaster-0.70/en/background10.html
Xdoc/dvdisaster-0.70/en/background20.html
Xdoc/dvdisaster-0.70/en/background30.html
Xdoc/dvdisaster-0.70/en/background40.html
Xdoc/dvdisaster-0.70/en/background50.html
Xdoc/dvdisaster-0.70/en/background60.html
Xdoc/dvdisaster-0.70/en/background70.html
Xdoc/dvdisaster-0.70/en/download.html
Xdoc/dvdisaster-0.70/en/download10.html
Xdoc/dvdisaster-0.70/en/download20.html
Xdoc/dvdisaster-0.70/en/example.html
Xdoc/dvdisaster-0.70/en/example1.html
Xdoc/dvdisaster-0.70/en/example10.html
Xdoc/dvdisaster-0.70/en/example2.html
Xdoc/dvdisaster-0.70/en/example20.html
Xdoc/dvdisaster-0.70/en/example21.html
Xdoc/dvdisaster-0.70/en/example22.html
Xdoc/dvdisaster-0.70/en/example3.html
Xdoc/dvdisaster-0.70/en/example30.html
Xdoc/dvdisaster-0.70/en/example4.html
Xdoc/dvdisaster-0.70/en/example40.html
Xdoc/dvdisaster-0.70/en/example5.html
Xdoc/dvdisaster-0.70/en/example50.html
Xdoc/dvdisaster-0.70/en/example6.html
Xdoc/dvdisaster-0.70/en/example7.html
Xdoc/dvdisaster-0.70/en/example80.html
Xdoc/dvdisaster-0.70/en/example81.html
Xdoc/dvdisaster-0.70/en/example82.html
Xdoc/dvdisaster-0.70/en/example83.html
Xdoc/dvdisaster-0.70/en/example84.html
Xdoc/dvdisaster-0.70/en/example90.html
Xdoc/dvdisaster-0.70/en/images/bg-adaptive.png
Xdoc/dvdisaster-0.70/en/images/bg-linear.png
Xdoc/dvdisaster-0.70/en/images/btn-compare.png
Xdoc/dvdisaster-0.70/en/images/btn-create.png
Xdoc/dvdisaster-0.70/en/images/btn-fix.png
Xdoc/dvdisaster-0.70/en/images/btn-new-image.png
Xdoc/dvdisaster-0.70/en/images/btn-protocol.png
Xdoc/dvdisaster-0.70/en/images/btn-read.png
Xdoc/dvdisaster-0.70/en/images/btn-scan.png
Xdoc/dvdisaster-0.70/en/images/ex-compare-rs02.png
Xdoc/dvdisaster-0.70/en/images/ex-compare.png
Xdoc/dvdisaster-0.70/en/images/ex-create-rs02.png
Xdoc/dvdisaster-0.70/en/images/ex-create.png
Xdoc/dvdisaster-0.70/en/images/ex-fix.png
Xdoc/dvdisaster-0.70/en/images/ex-read-a.png
Xdoc/dvdisaster-0.70/en/images/ex-read.png
Xdoc/dvdisaster-0.70/en/images/ex-scan.png
Xdoc/dvdisaster-0.70/en/images/prefs-ecc-0.png
Xdoc/dvdisaster-0.70/en/images/prefs-ecc-1.png
Xdoc/dvdisaster-0.70/en/images/prefs-ecc-2.png
Xdoc/dvdisaster-0.70/en/images/prefs-ecc.png
Xdoc/dvdisaster-0.70/en/images/prefs-general-1.png
Xdoc/dvdisaster-0.70/en/images/prefs-general-2.png
Xdoc/dvdisaster-0.70/en/images/prefs-general-3.png
Xdoc/dvdisaster-0.70/en/images/prefs-general.png
Xdoc/dvdisaster-0.70/en/images/prefs-read-1.png
Xdoc/dvdisaster-0.70/en/images/prefs-read-2.png
Xdoc/dvdisaster-0.70/en/images/prefs-read-3.png
Xdoc/dvdisaster-0.70/en/images/prefs-read.png
Xdoc/dvdisaster-0.70/en/images/prefs-rs02-0.png
Xdoc/dvdisaster-0.70/en/images/prefs-rs02-1.png
Xdoc/dvdisaster-0.70/en/images/prefs-rs02.png
Xdoc/dvdisaster-0.70/en/images/scratch-corr.png
Xdoc/dvdisaster-0.70/en/images/scratch-scan.png
Xdoc/dvdisaster-0.70/en/index.html
Xdoc/dvdisaster-0.70/en/index10.html
Xdoc/dvdisaster-0.70/en/index20.html
Xdoc/dvdisaster-0.70/en/index30.html
Xdoc/dvdisaster-0.70/en/inline1.html
Xdoc/dvdisaster-0.70/en/inline2.html
Xdoc/dvdisaster-0.70/en/qa.html
Xdoc/dvdisaster-0.70/en/qa10.html
Xdoc/dvdisaster-0.70/en/qa20.html
Xdoc/dvdisaster-0.70/images/btn-drive.png
Xdoc/dvdisaster-0.70/images/btn-eccfile.png
Xdoc/dvdisaster-0.70/images/btn-image.png
Xdoc/dvdisaster-0.70/images/open-ecc.png
Xdoc/dvdisaster-0.70/images/open-img.png
Xdoc/dvdisaster-0.70/images/open-preferences.png
Xdoc/dvdisaster-0.70/images/scratch-img.jpg
Xlocale/cs/LC_MESSAGES/dvdisaster.mo
Xlocale/de/LC_MESSAGES/dvdisaster.mo
Xlocale/it/LC_MESSAGES/dvdisaster.mo
Xlocale/sv/LC_MESSAGES/dvdisaster.mo
X@dirrm doc/dvdisaster-0.70/images
X@dirrm doc/dvdisaster-0.70/en/images
X@dirrm doc/dvdisaster-0.70/en
X@dirrm doc/dvdisaster-0.70/de/images
X@dirrm doc/dvdisaster-0.70/de
X@dirrm doc/dvdisaster-0.70/cs/images
X@dirrm doc/dvdisaster-0.70/cs
X@dirrm doc/dvdisaster-0.70
X@dirrmtry man/de/man1
X@dirrmtry man/de
X@dirrmtry man/cs/man1
X@dirrmtry man/cs
X@dirrmtry doc
END-of-dvdisaster/pkg-plist
exit
Comment 1 Martin Wilke freebsd_committer 2006-09-28 21:47:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2006-09-30 09:02:26 UTC
miwi        2006-09-30 08:02:15 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/dvdisaster  Makefile distinfo pkg-descr pkg-plist 
  Log:
  The dvdisaster project:
  dvdisaster provides a margin of safety against data loss on CD and DVD media
  caused by aging or scratches.
  
  * dvdisaster creates error correction data to compensate read errors which
  are not correctable in the CD/DVD drive.
  
  * dvdisaster tries to read as much data as possible from defective media.
  Afterwards unreadable sectors are recovered using the previously created
  error correction data. The maximum error correction capacity is
  user-selectable.
  
  * dvdisaster operates at the image level and does not depend on the file
  system.
  
  If you create the error correction data in time and keep it at a safe place,
  you have a good chance of recovering the medium contents from typical read
  errors and to transfer your complete data onto a new medium.
  
  WWW: http://www.dvdisaster.com/
  
  PR:             ports/103772
  Submitted by:   Heiner <h.eichmann(at)gmx.de>
  
  Revision  Changes    Path
  1.837     +1 -0      ports/sysutils/Makefile
  1.1       +53 -0     ports/sysutils/dvdisaster/Makefile (new)
  1.1       +3 -0      ports/sysutils/dvdisaster/distinfo (new)
  1.1       +20 -0     ports/sysutils/dvdisaster/pkg-descr (new)
  1.1       +261 -0    ports/sysutils/dvdisaster/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2006-09-30 09:03:17 UTC
State Changed
From-To: open->closed

New port added. Thanks!